# $Revision: 1.10 $, $Date: 2007-02-12 22:09:16 $
%define		_plugin	vacation_local
%define		mversion	1.4
Summary:	Vacation plugin for Squirrelmail
Summary(pl.UTF-8):	Wtyczka vacation dla Squirrelmail
Name:		squirrelmail-plugin-%{_plugin}
Version:	2.0
Release:	2
License:	GPL
Group:		Applications/Mail
Source0:	http://www.squirrelmail.org/plugins/%{_plugin}-%{version}-%{mversion}.tar.gz
# Source0-md5:	c050a2e9c066b7aa1d008edd74796c93
Patch0:		%{name}-Makefile.patch
Patch1:		%{name}-config.patch
Patch2:		%{name}-sudo.patch
Patch3:		%{name}-alias_support.patch
Patch4:		%{name}-db.patch
URL:		http://www.squirrelmail.org/plugin_view.php?id=51
Requires:	php(ftp)
Requires:	squirrelmail >= 1.4.6-2
Obsoletes:	squirrelmail-plugin-vacation
Obsoletes:	squirrelmail-vacation
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_plugindir	%{_datadir}/squirrelmail/plugins/%{_plugin}
%define		_sysconfdir	/etc/webapps/squirrelmail

%description
This plugin allows users to create an auto-respond message to all
incoming email while they're away.

%description -l pl.UTF-8
Ta wtyczka umożliwia użytkownikom stworzenie i włączenie automatycznej
odpowiedzi na wszystkie przychodzące maile.

%prep
%setup -q -n %{_plugin}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_plugindir} $RPM_BUILD_ROOT%{_sysconfdir}

install *.php $RPM_BUILD_ROOT%{_plugindir}
mv config.php.sample $RPM_BUILD_ROOT%{_sysconfdir}/vacation_local_config.php
ln -s %{_sysconfdir}/vacation_local_config.php $RPM_BUILD_ROOT%{_plugindir}/config.php

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc INSTALL README README.sudo
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/vacation_local_config.php
%dir %{_plugindir}
%{_plugindir}/*.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: squirrelmail-plugin-vacation_local.spec,v $
Revision 1.10  2007-02-12 22:09:16  glen
- tabs in preamble

Revision 1.9  2007/02/12 01:06:43  baggins
- converted to UTF-8

Revision 1.8  2006/11/26 14:24:22  glen
- rel 2: use php(extension) virtuals

Revision 1.7  2006/07/19 20:24:58  dzeus
- propper homepage URL

Revision 1.6  2006/05/31 14:20:15  hawk
- added patch to support .vacation.db initialization with sudo backend

Revision 1.5  2006/05/31 13:08:08  hawk
- added patch extending aliases support a bit

Revision 1.4  2006/05/30 21:36:49  hawk
- removed all suid stuff (binary, patch, warnings in descriptions),
  now this plugin supports sudo instead, works ok
- added config patch
- noarch

Revision 1.3  2006/05/30 10:34:42  hawk
- eh... updated previous commit log

Revision 1.2  2006/05/30 10:29:06  hawk
- R: php-ftp
- set suid bit as required by plugin, added warning to description

Revision 1.1  2006/05/29 12:06:37  hawk
- new vacation plugin for squirrelmail

